22 septiembre 2009

Como solucionar problemas y eliminar paquetes dañados "apt-get" en Ubuntu


Es normal que las cosas
derrepente no salgan como las teníamos planeadas, los problemas con "apt-get" aun que no son muy comunes existen, sobre todo cuando instalamos cosas que pertenecían a distribuciones muy antiguas o muy nuevas y que utilizan librerías y/o paquetes que de alguna manera causan conflicto en nuestro sistema.

Pero
solucionar estos problemas es casi tan sencillo como instalar un programa, asi que presta atención a los tips que daré a continuación, seguro que te serán de gran ayuda.

etermutilitiesterminal.png


Lo primero que podemos hacer es:
sudo dpkg --configure -a
sudo apt-get -f install

Presta mucha atencion a los mensajes que te da el sistema, seguramente serán la clave para solucionar el problema.

1.- Solucionar y Reparar Paquetes Rotos

El error que podría llamarse "
el mas común" es el de paquetes rotos, para solucionarlo ve a Sistema / Administración / Gestor de paquetes Synaptic , este gestor de paquetes cuenta con sus propias herramientas para reparar estos paquetes conflictivos, asi que ve a Editar y selecciona la opción Reparar paquetes rotos listo eso es todo.

2.- Problemas con "apt-get" se queda colgado

En algunos casos
mientras instalamos una aplicacion el apt-get se nos queda trabado "congelado", para solucionarlo primero interrumpe la instalación con "ctrl+c" despues hacemos lo siguiente:
sudo apt-get install algún-paquete-ya-instalado

Hacer esto muy
probablemente nos arroje el error que tenemos, o el paquete (o aplicacion instalada) que esta creando conflicto.

Ahora que ya sabemos como se llama "
el paquete problema" procedemos a desinstalarlo con:
apt-get autoremove paquete_problema

también podemos usar
apt-get --purge remove paquete

Si esto no funciona entonces vamos a desinstalar el paquete por las malas ;) con el siguiente comando:
sudo dpkg --purge --force-remove-reinstreq


3.- Instalando paquetes por la fuerza

Si por alguna razon
sabes que el problema es por falta de alguna dependencia "paquete" que no tienes instalado por que el sistema no te lo permite, por ejemplo un error como el siguiente:
dpkg: error processing /var/cache/apt/archives/paquete.deb(--unpack):
trying to overwrite `/usr/share/man/fr/man1/cups-config.1.gz', which is also in package cupsys
Errors were encountered while processing:
/var/cache/apt/archives/paquete.deb

Entonces usa el siguiente comando para forzar la instalación:
dpkg -i --force-overwrite /var/cache/apt/archives/paquete.deb


Eso es todo por ahora, por ultimo reitero lo que comente al principio, siempre presta mucha atención a los mensajes del sistema, muchas veces ahí esta la solución
enfrente de nosotros pero lo pasamos por alto.

Espero que les sirva mucho esta ayuda y si tienen problemas u opiniones comenten, Saludos!!!
:D

23 comentarios:

Miguel Angel dijo...

hola kaeltas,yo tengo el siguiente problema en mi synaptic,a ver si sabes como solucionarlo,pues lo que he encontrado son soluciones temporales.cada vez que lanzo un sudo apt-get update.me sale el siguiente error,un resumen (" vaya excedió el numero de descripciones que este apt es capaz....etc.etc.")y esta es la solución temporal.que he encontrado:

sudo rm /var/lib/apt/lists/* -vf (lo primero).

lo segundo:sudo LC_ALL=C apt-get update

miguel angel dijo...

haciendo esto se soluciona el problema,pero vuelve a aparecer.yo supongo que debe ser algún problema con un exceso de paquetes instalados o de repositorios.pero no se como solucionarlo,espero tu respuesta y tu ayuda.gracias de nuevo por tu blog.(no te olvides que soy novato).

kaeltas dijo...

Rayos como tu caso es especial voy a necesitar que me copies tu lista de repositorios y el mensaje de error completo ya que no me queda muy claro.

Si quieres puedes hacerlo por aquí o por correo, ya con eso podre ayudarte mejor

Saludos!!

Miguel Angel dijo...

vaya excedió el número de descripciones que este APT es capaz de manejar.E:problem with Mergelist /var/lib/apt/lists/es.archive.ubuntu.com_ubuntu_dists_intrepid-proposed_universe_i18n_Translation-es
E:no se pudieron analizar o abrir las listas de paquetes o el archivo de estado

Miguel angel dijo...

# deb cdrom:[Ubuntu 8.10 _Intrepid Ibex_ - Release i386 (20081029.5)]/ intrepid main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://es.archive.ubuntu.com/ubuntu/ intrepid main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid main restricted
## Major bug fix updates produced after the final release of the
## distribution.
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-updates main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-updates main restricted
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://es.archive.ubuntu.com/ubuntu/ intrepid universe
deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid universe
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-updates universe
deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-updates universe
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://es.archive.ubuntu.com/ubuntu/ intrepid multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid multiverse
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-updates multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-updates multiverse
## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse
# deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe
multiverse
## Uncomment the following two lines to add software from Canonical's
## 'partner' repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.
deb http://archive.canonical.com/ubuntu intrepid partner
deb-src http://archive.canonical.com/ubuntu intrepid partner
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-security main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-security main restricted
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-security universe
deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-security universe
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-security multiverse
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-proposed restricted main multiverse universe
deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-security multiverse
deb http://ppa.launchpad.net/paul-climbing/ubuntu intrepid main

Miguel Angel dijo...

gracias kaeltas por tu ayuda,es lo que tiene ser novato y torpe,creas errores nuevos.

kaeltas dijo...

ya encontré el error! estaba facil jiji

Ahora amigo abre tu lista de repositorios, borra todo y luego COPIA Y PEGA todo esto:

# deb cdrom:[Ubuntu 8.10 _Intrepid Ibex_ - Release i386 (20081029.5)]/ intrepid main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://es.archive.ubuntu.com/ubuntu/ intrepid main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid main restricted
## Major bug fix updates produced after the final release of the
## distribution.
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-updates main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-updates main restricted
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://es.archive.ubuntu.com/ubuntu/ intrepid universe
#deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid universe
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-updates universe
#deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-updates universe
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://es.archive.ubuntu.com/ubuntu/ intrepid multiverse
#deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid multiverse
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-updates multiverse
#deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-updates multiverse
## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse
# deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse
## Uncomment the following two lines to add software from Canonical's
## 'partner' repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.
deb http://archive.canonical.com/ubuntu intrepid partner
#deb-src http://archive.canonical.com/ubuntu intrepid partner
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-security main restricted
#deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-security main restricted
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-security universe
#deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-security universe
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-security multiverse
deb http://es.archive.ubuntu.com/ubuntu/ intrepid-proposed restricted main multiverse universe
#deb-src http://es.archive.ubuntu.com/ubuntu/ intrepid-security multiverse
deb http://ppa.launchpad.net/paul-climbing/ubuntu intrepid main

Miguel angel dijo...

ya lo he hecho y persiste el mismo error

Miguel Angel dijo...

tendré que actualizar a ubuntu 9.04 para que se vaya el error ?.

kaeltas dijo...

ya se como se soluciona mira:

1.- Abre nautilus,
2.- Presiona "ctr+h" para ver los archivos ocultos
3.- ve a las siguientes direcciones:
/var/lib/apt/lists/
/var/lib/apt/lists/partial/

4.- borra todo el contenido de las carpetas.

5.- abre una terminal y teclea:
sudo apt-get update
sudo apt-get upgrade

Eso es todo!!! Saludos!!

Miguel Angel dijo...

lo siento kaeltas,busco las carpetas que me comentas pero no las encuentro.lo hago con el buscador de archivos.y no aparecen.debo ser tan novato que no se como se buscan. yo voy a los archivos ocultos y en el buscador escribo /var/lib/apt/lists/. y no aparece nada.¿estoy haciendo lo correcto?.un saludo Kaeltas y perdona mi torpeza.

kaeltas dijo...

No las encuentras por que estas buscando dentro de tu Home.

Esas carpetas estan en la raiz, para llegar a ellas tienes que subir de directorio.

Mira haz lo siguiente abre nautilus y presiona "backspace" 3 veces y luego has lo que te dije.

Saludos!!

Miguel Angel dijo...

hola kaeltas,te vas a reír .pero no puedo borrar,lo que hay en el interior de las carpetas,no me da la opción de borrar,ni de enviar a la papelera.si voy a propiedades me dice que no tengo ningún permiso ni de lectura ni de escritura
y me dice que no soy el propietario y que no puedo canviar los permisos.es raro no. un saludo y perdón por la paliza.

kaeltas dijo...

xD jaja ok! te dare exactamente los pasos para que no tengas problemas.

1.- presiona "alt+f2"

2.- Teclea "gksudo"

3.- Ahora escribe nautilus

4.- Se abrirá nautilus como "root" ahora presiona 2 veces "backspace" para ir a la raiz de las carpetas.

5.- ve a las siguientes direcciones:

/var/lib/apt/lists/
/var/lib/apt/lists/partial/

y borra todo el contenido de estas carpetas.

7.- abre una terminal y teclea:

sudo apt-get update
sudo apt-get upgrade

Listo!!!!! Ahora si no creo que tengas problemas Saludos!!!

Miguel Angel dijo...

esto es lo que sale ahora:

miguel@miguel-desktop:~$ sudo apt-get update
E: Falta el directorio de listas /var/lib/apt/lists/partial.
miguel@miguel-desktop:~$

Miguel Angel dijo...

supongo que ya te abras cansado,pero el problema persiste.he vuelto a crear las carpetas y las he vuelto a borrar el interior.luego he vuelto ha escribir sudo apt-get update y ha vuelto ha salir el mismo error :

E: Vaya, excedió el número de descripciones que este APT es capaz de manejar.
E: Problem with MergeList /var/lib/apt/lists/es.archive.ubuntu.com_ubuntu_dists_intrepid-proposed_universe_i18n_Translation-es
E: Las listas de paquetes o el archivo de estado no se pueden analizar sintácticamente o abrir.
E: _cache->open() failed, please report.

Miguel Angel dijo...

un saludo y gracias por tu ayuda.y por tu tiempo.

kaeltas dijo...

No te preocupes que en linux todo tiene solucion deja me sigo investigando para poderte ayudar a encontrar como resolverlo, dame un poco de tiempo ;)

saludos amigo!!

kaeltas dijo...

Hola Miguel angel!


Serias tan amable de contactarme via correo electrónico para poderte ayudar a resolver tu problema, creo que seria mas comodo

mi correo:
kaeltasblog arroba gmail punto com

Espero una respuesta Saludos!

kaeltas dijo...

Para solucionar el problema elimina este archivo:

/var/lib/apt/lists/bo.archive.ubuntu.com_ubuntu_dists_intrepid-proposed_universe_i18n_Translation-es

Antonutella dijo...

Buenas, tengo exactamente el mismo error que Miguel Angel, seguí las indicaciones y sigue igual, quise borrar los archivos a los que haces mencion y no se me permite borrarlos.

¿Alguien puede ayudarme? Gracias de antemano ;)

Miguel Angel dijo...

yo lo solucione adelgazando la cache de orígenes del software y desmarcando,algunos ppas.ahora en ubuntu 13,04 se llama descargable de internet,desmarca algun origen a ver que pasa, un saludo

Miguel angel dijo...

yo lo solucione adelgazando la cache de descargable de internet ,donde pone software de ubuntu te hablo de kubuntu 13.04,desmarca alguna casilla y ha ver que pasa.un saludo